# $Revision: 1.82 $, $Date: 2012/02/10 11:21:57 $
Summary:	X11 drawing tool
Summary(de.UTF-8):	X11-Zeichen-Tool
Summary(es.UTF-8):	Herramienta para diseño X11
Summary(fr.UTF-8):	Outil de dessin sous X11
Summary(pl.UTF-8):	Program do rysowania pod X11
Summary(pt_BR.UTF-8):	Ferramenta para desenho X11
Summary(ru.UTF-8):	Инструмент для рисования простой векторной графики
Summary(tr.UTF-8):	X11 çizim aracı
Summary(uk.UTF-8):	Інструмент для малювання простої векторної графіки
Name:		xfig
Version:	3.2.5b
Release:	1
License:	Freeware
Group:		X11/Applications/Graphics
#Source0Download: http://xfig.org/art15.html
#Source0:	http://files.xfig.org/%{name}.%{version}.full.tar.gz
Source0:	http://downloads.sourceforge.net/mcj/%{name}.%{version}.full.tar.gz
# Source0-md5:	499b0ce103a6b353453bf7e327f9a3b9
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-config.patch
Patch1:		%{name}-i18n.patch

Patch5:		%{name}-3.2.5b-zoom-during-edit.patch
Patch6:		%{name}-3.2.5b-urwfonts.patch
Patch7:		%{name}-3.2.5b-spelling.patch
Patch8:		%{name}-3.2.5b-pdfimport_mediabox.patch
Patch9:		%{name}-3.2.5b-papersize_b1.patch
Patch10:	%{name}-3.2.5b-network_images.patch
Patch11:	%{name}-3.2.5b-mkstemp.patch
Patch12:	%{name}-3.2.5b-figparserstack.patch
Patch13:	%{name}-3.2.5b-app-defaults.patch
Patch14:	%{name}-3.2.5b-CVE-2010-4262.patch
Patch15:	%{name}-3.2.5b-libpng-1.5.patch
Patch16:	%{name}-3.2.5b-fix-eps-reading.patch
URL:		http://www.xfig.org/
BuildRequires:	Xaw3d-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-util-gccmakedep
BuildRequires:	xorg-util-imake
Requires:	netpbm-progs
Requires:	transfig >= 3.2.4-3
Requires:	xorg-lib-libXt >= 1.0.0
Obsoletes:	xfig-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	%{_datadir}/X11/app-defaults

%description
This program gives you all the features you need to create basic- to
intermediate-level vector graphics, including Bezier curves, lines,
rulers, and more.

%description -l de.UTF-8
Dieses Programm bietet sämtliche Funktionen, die Sie zum Erstellen von
elementaren und fortgeschrittenen Vektorgrafiken benötigen,
einschließlich Bezier-Kurven, Linien, Lineale und anderes.

%description -l es.UTF-8
Este programa ofrece todo lo que necesitas para crear gráficos con
vectores, incluyendo curvas, líneas, reglas, y más.

%description -l fr.UTF-8
Ce programme vous offre tout ce dont vous avez besoin pour créer des
graphiques vectoriels, de base à moyennement complexes. Il comprend
les courbes de Bézier, les lignes, les règles etc.

%description -l pl.UTF-8
Program xfig udostępnia wszystkie możliwości potrzebne do tworzenia
prostych i średniozaawansowanych grafik wektorowych składających się z
linie, krzywych Beziera i podobnych elementów.

%description -l pt_BR.UTF-8
Este programa oferece tudo o que você precisa para criar gráficos com
vetores, incluindo curvas, linhas, réguas, e mais.

%description -l ru.UTF-8
Xfig - это инструмент для создания базовой векторной графики, включая
кривые Безье, линии и многое другое. Полученную графику можно
сохранить, распечатать на PostScript принтерах или сконвертировать в
другие форматы (например, X11 bitmaps, Encapsulated PostScript,
LaTeX).

%description -l tr.UTF-8
Bu program, en temel olanlarından ileri düzeydekilere kadar tüm belli
başlı vektör grafikleri (doğrular, bezier eğrisi vs) çizebilmenize
olanak verir.

%description -l uk.UTF-8
Xfig - це інструмент для створення базової векторної графіки,
включаючи криві Без'є, лінії та інше. Отриману графіку можна зберегти,
роздрукувати на PostScript принтерах чи зконвертувати в інші формати
(наприклад, X11 bitmaps, Encapsulated PostScript, LaTeX).

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1
%patch1 -p1

%patch5 -p2
%patch6 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p0
%patch12 -p1
%patch13 -p0
%patch14 -p0
%patch15 -p1
%patch16 -p1

%build
xmkmf -a
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	LOCAL_LDFLAGS="%{rpmldflags}" \
	XFIGLIBDIR=%{_datadir}/xfig \
	XFIGDOCDIR=%{_docdir}/%{name}-%{version} \
	XPMINC="-I/usr/include/X11"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_libdir}}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	CONFDIR=%{_datadir}/X11 \
	MANPATH=%{_mandir} \
	MANSUFFIX="1" \
	XFIGLIBDIR=%{_datadir}/xfig

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a Libraries $RPM_BUILD_ROOT%{_datadir}/xfig
rm -f $RPM_BUILD_ROOT%{_datadir}/xfig/Libraries/*/README

(
cat $RPM_BUILD_ROOT%{_appdefsdir}/Fig
echo 'Fig.inches: off'
) 	> $RPM_BUILD_ROOT%{_appdefsdir}/Fig.new
mv -f $RPM_BUILD_ROOT%{_appdefsdir}/Fig.new $RPM_BUILD_ROOT%{_appdefsdir}/Fig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Doc/html/ Doc/*.html README CHANGES FIGAPPS Doc/TODO Doc/FORMAT*
%attr(755,root,root) %{_bindir}/xfig
%{_datadir}/xfig
%{_appdefsdir}/Fig
#%{_appdefsdir}/Fig-color
%{_mandir}/man1/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfig.spec,v $
Revision 1.82  2012/02/10 11:21:57  arekm
- fix patch name

Revision 1.81  2012/02/10 11:00:56  arekm
- up to 3.2.5b

Revision 1.80  2012/02/07 22:08:57  arekm
- release 7

Revision 1.79  2011/12/20 19:37:30  arekm
- release 6

Revision 1.78  2010/01/29 19:53:18  arekm
- release 5

Revision 1.77  2009/12/03 21:09:41  sparky
- BR: xorg-lib-libXi-devel

Revision 1.76  2009/07/10 19:53:31  arekm
- release 4

Revision 1.75  2009/01/24 23:31:11  arekm
- rel 3; build fix

Revision 1.74  2009/01/22 16:18:38  arekm
- rel 2; add debian patches

Revision 1.73  2009/01/09 23:24:51  adamg
- BR: Xaw3d-devel

Revision 1.72  2008-05-06 18:24:45  qboosh
- noted download URL

Revision 1.71  2008-04-27 20:35:13  arekm
- up to 3.2.5 final

Revision 1.70  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.69  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.68  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.67  2006/10/27 23:45:03  qboosh
- added c patch (fixes build with gcc 4)
- switched to modular xorg

Revision 1.66  2006/10/27 16:39:36  qboosh
- updated Source0 URL

Revision 1.65  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.64  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.63  2004/11/10 20:00:09  ankry
- ven -> ve in desktop, rel. .4

Revision 1.62  2004/07/22 09:32:57  ankry
- desktop fixed, rel. .3

Revision 1.61  2004/07/06 14:11:49  qboosh
- moved to /usr (data to /usr/share/xfig), pl fixes, release .2

Revision 1.60  2004/07/04 20:54:49  adamg
- applnk -> vfolders

Revision 1.59  2004/06/04 19:19:20  arekm
- 3.2.5 alpha5

Revision 1.58  2004/04/21 23:08:46  arekm
- updated to 3.2.5 alpha4

Revision 1.57  2004/01/26 13:00:11  jajcus
- Release: 2
- AMD64 fixes (use %{_prefix}/lib/X11 instead of %{_libdir}/X11)

Revision 1.56  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.55  2003/06/23 12:37:36  ankry
- md5

Revision 1.54  2003/05/25 06:28:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2003/03/25 01:49:30  qboosh
- updated to 3.2.4
- updated config,i18n,mkstemp patches
- needs testing

Revision 1.52  2002/10/28 08:00:00  kloczek
- release 11: merge RH mkstemp patch with fix tmp race bugs in xfig.

Revision 1.51  2002/07/14 10:29:34  marcus
- use new %%doc
- rel.8.

Revision 1.50  2002/07/14 10:10:42  marcus
- addedd Requires: netpbm-progs (xfig call it to use tiffs)

Revision 1.49  2002/05/07 13:52:40  kloczek
- release 7: merge translations from KSI.

Revision 1.48  2002/04/28 09:44:10  qboosh
- libpng 1.2.2 support

Revision 1.47  2002/03/20 23:45:00  kloczek
- typo.

Revision 1.46  2002/03/20 23:42:38  kloczek
- release 6,
- merge doc subpackege to main,
- use CC=%%{__cc} during compile.

Revision 1.45  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.44  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/12/06 22:47:42  kloczek
- merge translations fromn Conectiva.

Revision 1.41  2001/12/06 17:52:02  jajcus
- Release: 5  STBR
- XFIGDOCDIR defined for %{__make}, to make xfig searche for documentation in
  the right place
- on-line documentation added (HTML and PDF). Why the hell was it missing?

Revision 1.40  2001/10/20 09:32:10  saq
- fixed a bug in the generated Makefile
- adapterized

Revision 1.39  2001/08/28 04:08:04  kloczek
- release 4: added libpng-devel to BuildRequires.

Revision 1.38  2001/06/17 17:24:55  kloczek
- updated to 3.2.3d,
- updated %files list,
- removed obsoleted patches (printer, f_read).

Revision 1.37  2001/05/23 02:14:55  qboosh
- use %%rpmldflags

Revision 1.36  2001/04/30 16:05:32  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/04/08 18:12:59  saq
- release 11
- fixed the xfig-i18n patch (LANG=pl_PL works now)

Revision 1.34  2001/02/07 13:59:24  kloczek
- release 10.

Revision 1.33  2001/02/06 16:24:42  klakier
- requires transfig witch anti_latin1 patch (>= 3.2.3c-3)

Revision 1.32  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.31  2001/01/28 09:47:48  kloczek
- release 9,
- merged patches printer, f_read from rawhide.

Revision 1.30  2001/01/25 20:03:52  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.29  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.28  2000/11/06 06:40:20  kloczek
- release 6: fixed xfig desktop file (fixed Icon file name).

Revision 1.27  2000/11/04 11:50:53  kloczek
- release 5: reemoved xpm-devel from BuildRequires.

Revision 1.26  2000/11/02 11:54:21  klakier
- set metric units as default

Revision 1.25  2000/10/27 22:42:59  klakier
- new version 3.2.3c
- removed 4 chunks from config.patch related to DESTDIR (included in sources)
- add another rejected chunk as separate i18n.patch

Revision 1.24  2000/10/27 20:11:51  klakier
- added forgotten documentation files

Revision 1.23  2000/09/28 22:20:52  kloczek
- adapterized, make %%{debug} ready and added using rpm new automation suit.

Revision 1.22  2000/06/24 21:39:56  kloczek
- release 4,
- xfig pixmap in png format added (in standard GNOME 48x48 resolution).

Revision 1.21  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.19  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.17  2000/02/23 08:20:14  kloczek
- updated to 3.2.3a.

Revision 1.16  2000/01/21 03:13:00  kloczek
- removed unused Patch1.

Revision 1.15  2000/01/21 02:51:46  kloczek
- updated to 3.2.3.

Revision 1.14  1999/12/05 04:39:37  kloczek
- release 8,
- added de, fr, tr translations from Bero linux spec file,
- added package icon,
- added URL and updated Source url.

Revision 1.13  1999/09/26 22:32:16  kloczek
- install beter looking color X resources as default.

Revision 1.12  1999/09/26 21:26:55  kloczek
- release 7,
- removed %config from xfig X resources files.

Revision 1.11  1999/09/09 17:39:01  pius
- added %lang(ja) macro in %files

Revision 1.10  1999/09/07 21:29:24  pius
- release 6,
- added xfig.desktop instead of wmconfig file,
- added using rpm macors,
- added documentation,
- minor changes in %install,
- cosmetics.

Revision 1.9  1999/07/12 23:06:23  kloczek
- added using CVS keywords in %changelog (for automating them).
